POST /v2/api/prices/batch

Upserts prices for multiple SKUs. Custom prices can be set via customPrices JSON mapped to account configuration. Existing custom prices are preserved if not updated (COALESCE). SKUs must exist before creating prices. Returns a BatchResponse for each price update request with success/failure details.

application/json

Body Required

Array of price updates. Use customPrices for custom prices mapped to your account's field configuration.

  • customPrice1 number
  • customPrice2 number
  • customPrice3 number
  • customPrice4 number
  • key string Required

    Key used between products, transaction & stock tables. Usually SKU or EAN but needs to be same on all occurrences

  • listExternalID string Required

    ID of Price list in external platform

  • price number
  • season string

    Season that the key belong to. Only used for product versioning.

  • vat number

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • message string
    • reference string
    • referenceField string
    • statusCode integer
  • 400 application/json

    Bad request - invalid input

    Hide response attributes Show response attributes object
    • error string
    • message string
    • statusCode integer
  • default application/json

    All errors will return the same object with a describing code & message

    Hide response attributes Show response attributes object
    • message string
    • reference string
    • referenceField string
    • statusCode integer
POST /v2/api/prices/batch
curl \
 --request POST 'https://api.maddenanalytics.com/v2/api/prices/batch' \
 --header "Content-Type: application/json" \
 --data '[{"customPrice1":42.0,"customPrice2":42.0,"customPrice3":42.0,"customPrice4":42.0,"key":"7340192703345","listExternalID":"retail_SEK","price":42.0,"season":"Spring/Summer","vat":42.0}]'
Request examples
[
  {
    "customPrice1": 42.0,
    "customPrice2": 42.0,
    "customPrice3": 42.0,
    "customPrice4": 42.0,
    "key": "7340192703345",
    "listExternalID": "retail_SEK",
    "price": 42.0,
    "season": "Spring/Summer",
    "vat": 42.0
  }
]
Response examples (200)
[
  {
    "message": "Missing BrandName",
    "reference": "123456-001-43",
    "referenceField": "key",
    "statusCode": 400
  }
]
Response examples (400)
{
  "error": "Error Type (if any)",
  "message": "Message describing the error",
  "statusCode": 400
}
Response examples (default)
[
  {
    "message": "Missing BrandName",
    "reference": "123456-001-43",
    "referenceField": "key",
    "statusCode": 400
  }
]